import 'dart:io';

import 'package:_private_core/_private_core.dart';
import 'package:flutter/material.dart';

import 'package:get/get.dart';

ArckipelConfigData get arckipelConfig => ArckipelConfig.of(Get.context!);
ArckipelCoreOptions get coreOptions => arckipelConfig.coreOptions;
ArckipelChatOptions? get chatOptions => arckipelConfig.coreThemes.chatOptions;

String get arckipelbaseUrl => arckipelConfig.coreOptions.baseUrl;
String get arckipelbaseUrlAsset => arckipelConfig.coreOptions.baseUrlAsset;
String get arckipelbaseUrlHomelido =>
    arckipelConfig.coreOptions.baseUrlHomelido;
String get arckipelbaseUrlGeotracking =>
    arckipelConfig.coreOptions.baseUrlGeotracking;
String get arckipelmqttUrl => arckipelConfig.coreOptions.mqttUrl;
int get arckipelmqttPort => arckipelConfig.coreOptions.mqttPort;

List<Locale> get arckipelsupportedlocale =>
    arckipelConfig.coreOptions.supportedlocale!;

dynamic get appPrefs =>
    Get.context == null ? null : arckipelConfig.coreOptions.appPrefs;
dynamic get appColors =>
    Get.context == null ? null : arckipelConfig.coreOptions.appColors;
dynamic get mainColor =>
    Get.context == null ? null : arckipelConfig.coreOptions.mainColor;

Color authMainColor = hexColor('#171719');
Color authMainColorBlue = hexColor('#3D8CF8');

Future<File?> Function(
    {TakeFileType fileType,
    TakeFileTypeAllow fileTypeAllow})? get takeFile => arckipelConfig.takeFile;
dynamic get googleApiKey => arckipelConfig.coreOptions.googleApiKey;
dynamic get firebaseOptions => arckipelConfig.coreOptions.firebaseOptions;
